solution: /submissions/accepted/mike.cpp
version: 2025-02  # use this version of the generators framework

#test_group.yaml:
  # One or more of:
  # case_sensitive
  # space_change_sensitive
  # float_absolute_tolerance eps
  # float_relative_tolerance eps
  # float_tolerance eps
  #output_validator_args:

data:
  sample:
    data:
      # Some small examples showing to help understanding of the problem.
      - '':
          in: "2025"
          ans: |
            9
            1 2 3 4 5 6 7 8 9
      - '':
          in: "45"
          ans: |
            3
            2025 -2369 1709
      - '':
          in: "15"
          ans: |
            3
            -1 2 2
      - '':
          in: "9241"
          ans: |
            2
            -55 56

  secret:
    data:
      small:
        data:
          - '': { in: "1" }
          - '': { in: "2" }
          - '': { in: "3" }
          - '': { in: "4" }
          - '': { in: "5" }
          - '': { in: "6" }
          - '': { in: "7" }
          - '': { in: "8" }
          - '': { in: "9" }
          - '': { in: "10" }
          - '': { in: "11" }
          - '': { in: "12" }
          - '': { in: "13" }
          - '': { in: "14" }
            #- '': { in: "15" }
          - '': { in: "16" }
          - '': { in: "17" }
          - '': { in: "18" }
          - '': { in: "19" }
          - '': { in: "20" }
          - '': { in: "21" }
          - '': { in: "22" }
          - '': { in: "23" }
          - '': { in: "24" }
          - '': { in: "25" }
          - '': { in: "26" }
          - '': { in: "27" }
          - '': { in: "28" }
          - '': { in: "29" }
          - '': { in: "30" }
          - '': { in: "31" }
          - '': { in: "32" }
          - '': { in: "33" }
          - '': { in: "34" }
          - '': { in: "35" }
          - '': { in: "36" }
          - '': { in: "37" }
          - '': { in: "38" }
          - '': { in: "39" }
          - '': { in: "40" }
          - '': { in: "41" }
          - '': { in: "42" }
          - '': { in: "43" }
          - '': { in: "44" }
            #- '': { in: "45" }
          - '': { in: "46" }
          - '': { in: "47" }
          - '': { in: "48" }
          - '': { in: "49" }
          - '': { in: "50" }
          - '': { in: "51" }
          - '': { in: "52" }
          - '': { in: "53" }
          - '': { in: "54" }
          - '': { in: "55" }
          - '': { in: "56" }
          - '': { in: "57" }
          - '': { in: "58" }
          - '': { in: "59" }
          - '': { in: "60" }
          - '': { in: "61" }
          - '': { in: "62" }
          - '': { in: "63" }
          - '': { in: "64" }
          - '': { in: "65" }
          - '': { in: "66" }
          - '': { in: "67" }
          - '': { in: "68" }
          - '': { in: "69" }
          - '': { in: "70" }
          - '': { in: "71" }
          - '': { in: "72" }
          - '': { in: "73" }
          - '': { in: "74" }
          - '': { in: "75" }
          - '': { in: "76" }
          - '': { in: "77" }
          - '': { in: "78" }
          - '': { in: "79" }
          - '': { in: "80" }
          - '': { in: "81" }
          - '': { in: "82" }
          - '': { in: "83" }
          - '': { in: "84" }
          - '': { in: "85" }
          - '': { in: "86" }
          - '': { in: "87" }
          - '': { in: "88" }
          - '': { in: "89" }
          - '': { in: "90" }
          - '': { in: "91" }
          - '': { in: "92" }
          - '': { in: "93" }
          - '': { in: "94" }
          - '': { in: "95" }
          - '': { in: "96" }
          - '': { in: "97" }
          - '': { in: "98" }
          - '': { in: "99" }
          - '': { in: "100" }
      circularprimes:
        data:
          - '': { in: "113" }
          - '': { in: "131" }
          - '': { in: "197" }
          - '': { in: "199" }
          - '': { in: "311" }
          - '': { in: "337" }
          - '': { in: "373" }
          - '': { in: "719" }
          - '': { in: "733" }
          - '': { in: "919" }
          - '': { in: "971" }
          - '': { in: "991" }
          - '': { in: "1193" }
          - '': { in: "1931" }
          - '': { in: "3119" }
          - '': { in: "3779" }
          - '': { in: "7793" }
          - '': { in: "7937" }
      worstcase:
        data:
          - '': { in: "7150" }
      hard:
        data:
          - '6674':
              in: '6674'
  invalid_input:
    data: 
      - '':
          in: "12345"
      - '':
          in: "1e4"
      - '':
          in: "9242"
      - '':
          in: "0"

  invalid_answer:
    data:
      - '':
          in: "2025"
          ans: |
            9
            1 2 3 4 5 6 7 8
      - '':
          in: "2025"
          ans: |
            9
            1 2 3 4 5 6 7 8 9 0
  invalid_output:
    data:
      - '':
          in: "2025"
          ans: |
            9
            1 2 3 4 5 6 7 8 9
          out: |
            9
            1 2 3 4 5 6 7 8 10

  valid_output:
    data:
      - '':
          in: "15"
          ans: |
            3
            -1 2 2
          out: |
            15
            1 1 1 1 1 1 1 1 1 1 1 1 1 1 1
      - '':
          in: "15"
          ans: |
            3
            -1 2 2
          out: |
            3  2 -1                    2
      - '':
          in: "27"
          ans: |
            1
            3
          out: |
            3
            3 1 -1
